%global source_name catkin_lint

Name:           python-%{source_name}
Version:        1.4.3
Release:        1%{?dist}
Summary:        Check catkin packages for common errors

License:        BSD
URL:            https://pypi.python.org/pypi/%{source_name}
Source0:        https://pypi.python.org/packages/source/c/%{source_name}/%{source_name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-catkin_pkg
BuildRequires:  python-mock
BuildRequires:  python-nose
BuildRequires:  python-setuptools
Requires:       python-catkin_pkg


%package -n python3-%{source_name}
Summary:        Check catkin packages for common errors
BuildRequires:  python3-catkin_pkg
BuildRequires:  python3-devel
BuildRequires:  python3-mock
BuildRequires:  python3-nose
BuildRequires:  python3-setuptools
Requires:       python3-catkin_pkg


%description
catkin_lint checks package configurations for the catkin build system of ROS.
It is part of an ongoing effort to aid developers with their ROS packaging (see
also: issue #153).


%description -n python3-%{source_name}
catkin_lint checks package configurations for the catkin build system of ROS.
It is part of an ongoing effort to aid developers with their ROS packaging (see
also: issue #153).


%prep
%setup -qc
mv %{source_name}-%{version} python2

for lib in python2/src/catkin_lint/*.py python2/src/catkin_lint/checks/*.py; do
 sed -i '1{\@^#!.*python@d}' $lib
done

cp -a python2 python3


%build
pushd python2
%{__python2} setup.py build
popd

pushd python3
%{__python3} setup.py build
pushd build/scripts-%{python3_version}
for f in *; do mv $f python3-$f; done
popd
popd


%install
pushd python2
%{__python2} setup.py install --skip-build --root %{buildroot}

install -p -D -m0644 bash/%{source_name} %{buildroot}%{_sysconfdir}/bash_completion.d/%{source_name}
popd

pushd python3
%{__python3} setup.py install --skip-build --root %{buildroot}

install -p -D -m0644 bash/%{source_name} %{buildroot}%{_sysconfdir}/bash_completion.d/python3-%{source_name}
popd


%check
PYTHONPATH=%{buildroot}%{python2_sitelib} nosetests -w python2/test

PYTHONPATH=%{buildroot}%{python3_sitelib} nosetests-%{python3_version} -w python3/test


%files
%doc python2/changelog.txt python2/README.rst python2/README_API.rst
%{python2_sitelib}/%{source_name}-%{version}-py?.?.egg-info
%{python2_sitelib}/%{source_name}/
%{_bindir}/%{source_name}
%{_sysconfdir}/bash_completion.d/%{source_name}


%files -n python3-%{source_name}
%doc python3/changelog.txt python3/README.rst python3/README_API.rst
%{python3_sitelib}/%{source_name}-%{version}-py?.?.egg-info
%{python3_sitelib}/%{source_name}/
%{_bindir}/python3-%{source_name}
%{_sysconfdir}/bash_completion.d/python3-%{source_name}


%changelog
* Thu Sep 17 2015 Rich Mattes <richmattes@gmail.com> - 1.4.3-1
- Update to release 1.4.3 (rhbz#1240452)

* Sat Jul 04 2015 Scott K Logan <logans@cottsay.net> - 1.4.0-1
- Update to 1.4.0
- Update to latest packaging guidelines

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Mar 04 2015 Rich Mattes <richmattes@gmail.com> - 1.3.11-1
- Update to release 1.3.11 (rhbz#1175223)

* Tue Dec 02 2014 Scott K Logan <logans@cottsay.net> - 1.3.8-1
- Update to release 1.3.8
- Add python3 package
- Enable check section

* Wed Jul 16 2014 Ankur Sinha <ankursinha AT fedoraproject DOT org> 1.3.7-1
- Update to latest upstream release

* Mon Jun 09 2014 Scott K Logan <logans@cottsay.net> - 1.3.6-1
- Update to release 1.3.6

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon May 19 2014 Scott K Logan <logans@cottsay.net> 1.3.5-1
- Update to release 1.3.5

* Tue Apr 15 2014 Ankur Sinha <ankursinha AT fedoraproject DOT org> 1.3.4-1
- Correct requires

* Sat Apr 05 2014 Ankur Sinha <ankursinha AT fedoraproject DOT org> 1.3.4-1
- Initial package build
